Get message status

Retrieve the current delivery status of a message that was sent through the API.

GET/messages/status/:uuid

Authentication

This endpoint authenticates with your API key sent in the X-API-Key header (ek_live_... format). You can manage your API keys from the Dev Tools section of the dashboard.

Path parameters

ParameterTypeRequiredDescription
uuidStringRequiredIdentifier of the message that was sent through the API.

Example request

bash
curl -X GET "https://eclectic-api-537143970188.us-central1.run.app/api/external/v2/messages/status/adf3d1216d4c4dcd908199d6700f2381" \
  -H "X-API-Key: ek_live_your_api_key_here" \
  -H "Content-Type: application/json"

Example response

json
{
  "message": {
    "uuid": "adf3d1216d4c4dcd908199d6700f2381",
    "status": "enqueued",
    "messageStatusPayload": {
      "id": "2b34bfb7-2631-4763-89fb-1b3c65a4baaa",
      "type": "enqueued",
      "payload": {
        "type": "session",
        "whatsappMessageId": "gBGGM2MSRxl_AAlqmG1KQXU7nz4"
      },
      "destination": "1122334455"
    }
  }
}